Поддержка Проблемы и решения Ошибка обновления плагинов после установки WordPress 4.6

  • Приветствую!
    После обновления WP до 4.6 не удается обновить ни один плагин. Получаю сообщение:
    «Загрузка не удалась. cURL error 23: Failed writing body (624 != 811)»
    РНР 5.6, хостинг reg.ru
    Подскажите, что делать!

Просмотр 15 ответов — с 61 по 75 (всего 84)
  • Проблема решилась следующим:
    На хостинге Rusonyx.ru в настройках php (версия 5.4) добавил:

    mbstring.func_overload = «0»

    Модератор Yui

    (@fierevere)

    ゆい

    tsyganov, спасибо за сообщение

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Создал тикет с описанием ошибки и патчем: https://core.trac.wordpress.org/ticket/38226

    Если есть возможность протестировать патч — напишите, пожалуйста, о результатах.

    tsyganov, Спасибо! Это работает.

    Модератор Yui

    (@fierevere)

    ゆい

    romanfromruss, а патч нет возможности потестировать ? Польза была бы всем
    см сообщение Sergey Biryukov над Вашим

    PS: если есть сложности с применением патча
    вот измененный файл class-http.php (в архиве)
    загрузите его по фтп в wp-includes/

    • Ответ изменён 3 года, 1 месяц назад пользователем Yui.
    • Ответ изменён 3 года, 1 месяц назад пользователем Yui.

    Загрузил измененный файл, вернул mbstring.func_overload = 2
    На странице с добавлением нового плагина нет ошибок curl.
    Новые плагины так же устанавливаются без проблем.
    Какие-то еще тесты?

    Модератор Yui

    (@fierevere)

    ゆい

    спасибо что потестировали

    Рад помочь.

    ПРивет, протестировал все заработало. Только у меня вдобавок проблема еще была такая:
    Не открывались плагины и темы (и соответственно не мог загрузить) в админ панели.
    Теперь все работает, спасибо!

    Модератор Yui

    (@fierevere)

    ゆい

    neozloy, спасибо за участие

    ФАКТ! Поменял на mbstring.func_overload = 0 — сработало! Но у меня решилось еще другим способом: в ISPmanager Lite 5 в расширениях PHP отключил cURL — все так же заработало.

    Модератор Yui

    (@fierevere)

    ゆい

    Den Media, лучше бы патч выше протестировали.

    А curl отключать изначально было вариантом, правда не всем доступным, поэтому плохим.
    cURL гораздо более лучший транспорт чем fsockopen() Конечно для обновлений тем/плагинов/ядра разницы особенно нет, но curl может требоваться если у вас работает не только WP

    Сработало вот это:
    PS: если есть сложности с применением патча
    вот измененный файл class-http.php (в архиве)
    загрузите его по фтп в wp-includes/

    Пробовал php_admin_value mbstring.func_overload 0 в .htaccess — не работает.

    WordPress 4.6.1

    Vadbars — начиная с 5-й (кажется) версии php в .htaccess нельзя поменять func_overload. Точнее, эта команда не работает при размещении в .htaccess

    PS: если есть сложности с применением патча
    вот измененный файл class-http.php (в архиве)
    загрузите его по фтп в wp-includes/

    Спасибо, большое, помогло!

    • Ответ изменён 3 года, 1 месяц назад пользователем shapito27 For Bitrix.
    • Ответ изменён 3 года, 1 месяц назад пользователем shapito27 For Bitrix.
Просмотр 15 ответов — с 61 по 75 (всего 84)
  • Тема «Ошибка обновления плагинов после установки WordPress 4.6» закрыта для новых ответов.